<?php
defined('ABSPATH') or die("Please don't run this script.");
/**
 * Extra content Blog Card
 *
 * @package Simple Days
 */




function simple_days_extra_content_blog_card($the_content) {

  $blog_local = get_theme_mod( 'simple_days_blog_card_internal',false);
  $blog_external = get_theme_mod( 'simple_days_blog_card_external',false);
  
  $pattern = '{<p><a(.*?)href=[\'"]([^\'"]+)[\'"](.*?)>([^\'"]+)</a></p>}';
  
  if(preg_match_all($pattern,$the_content,$match_url)){
    
    $match_count = count($match_url[1]);
    $i = 0;
      //var_dump($match_url);
    
    while($i < $match_count){
      
      if($match_url[2][$i] == $match_url[4][$i]){
        
        if(strpos($match_url[2][$i],home_url()) !== false){
          
          if ( $blog_local == true) {
            $post_id = url_to_postid($match_url[2][$i]);

            if($post_id != '0'){
              $link_icon = 'link';
              $user_id = get_post_field( 'post_author', $post_id );
              $thumurl = wp_get_attachment_image_src (get_post_thumbnail_id ($post_id,  true), 'medium');
              $category = get_the_category($post_id);
              $link_url = get_permalink( $post_id );
              $link_url_option = $match_url[1][$i].' '.$match_url[3][$i];
              $link_url_option == ' ' ? $link_url_option = '' : '';
              if(!empty($thumurl)){
                $img_source = '<img src="'.esc_url( $thumurl[0] );
              }else{
                $img_source = '<img src="'.esc_url(get_theme_mod( 'simple_days_no_img' , SIMPLE_DAYS_THEME_URI .'/assets/images/no_image.png'));
              }
              $title = get_post( $post_id )->post_title;
              $description = mb_strimwidth( wp_strip_all_tags(strip_shortcodes(get_post($post_id)->post_content), true), 0 , 180, '&hellip;' );

              if(has_site_icon()){
                $cache_favicon = '<img src="'.esc_url( get_site_icon_url() ).'" height="16" width="16" />';
              }else{
                $cache_favicon = '<i class="fa fa-home" aria-hidden="true"></i>';
              }
            }else{
              $i++;
              continue;
            }  
            
          }else{
            
            $i++;
            continue;
          }
        }else{
          
          if ( $blog_external == true) {
            $simple_days_external_cache = array();
            $link_icon = 'external-link';
            

            
            $simple_days_cache_name = str_replace(array('http://','https://','www.','.','-','/'),array('','','','_','_','_'),$match_url[2][$i]);

            $simple_days_external_cache = get_option('simple_days_external_cache');

            
            if(isset($simple_days_external_cache["$simple_days_cache_name"]['update_time']))$old_time = $simple_days_external_cache["$simple_days_cache_name"]['update_time'];
            
            if(isset($old_time)){
              $diff_time = (time() - $old_time) / ( 60 * 60 * 24);
              $diff_time > 60 ? $diff_time = 1 : $diff_time = 0 ;
            }else{
              $diff_time = 0;
            }
            
            $blog_cache_off = get_theme_mod( 'simple_days_blog_card_cache_off',false);
              //$blog_cache_off = true;
            if (!isset($simple_days_external_cache["$simple_days_cache_name"]) || $diff_time == 1 || $blog_cache_off == true ){
              

              require_once ABSPATH . 'wp-load.php';
              $external_data = wp_remote_get( $match_url[2][$i] );
              
              if ( ! is_wp_error( $external_data ) && $external_data['response']['code'] === 200 ) {
                $external_html = mb_convert_encoding($external_data['body'], 'UTF-8', 'ASCII,JIS,UTF-7,EUC-JP,SJIS,UTF-8');
                
                  if (preg_match('/<head.*?>(.*?)<\/head>/is', $external_html, $match_head)) {

                    $external_head = $match_head[1];
                    preg_match_all('/<meta property=[\'"]og:([^\'"]+)[\'"] content=[\'"]([^\'"]+)[\'"].*?>/is', $external_head, $match_og);
                    preg_match_all('/<meta property=[\'"]fb:([^\'"]+)[\'"] content=[\'"]([^\'"]+)[\'"].*?>/is', $external_head, $match_fb);
                    preg_match_all('/<meta name=[\'"]twitter:([^\'"]+)[\'"] content=[\'"]([^\'"]+)[\'"].*?>/is', $external_head, $match_twitter);

                    if (isset($match_og) && is_array($match_og) && count($match_og) == 3) {
                      $j=0;
                      while ($j < count($match_og[1])) {
                        $tags['og:'.$match_og[1][$j]] = esc_attr($match_og[2][$j]);
                        $j++;
                      }
                    }

                    if (isset($tags['og:title'])) {
                      $title = $tags['og:title'];
                    }else{
                      $pattern = 'title';
                      if (preg_match('/<'.$pattern.'.*?>(.*)<\/'.$pattern.'>/is', $external_head, $match_title)) {
                        $title = esc_html($match_title[1]);
                      }else{
                        $title = '';
                      }
                    }
                    if (isset($tags['og:description'])) {
                      $description = esc_html($tags['og:description']);
                    }else{
                      if(preg_match('/<p.*?>(.*?)<\/p>/is', $external_html, $description)){
                        $description = esc_html(strip_tags($description[1]));
                      }else{
                        $description = '';
                      }
                    }
                  }else{
                    $filetype = $external_data['headers']['content-type'];
                    if($filetype!=''){
                      $filetype = substr(strrchr($filetype,"/"),1);
                    }else{
                      $filetype = '';
                    }
                    $description = $filetype.' '. esc_html__( 'file', 'simple-days' );
                    $title = substr(strrchr($match_url[2][$i],"/"),1);
                  }
                  
                  require_once ABSPATH . 'wp-admin/includes/file.php';
                  global $wp_filesystem;
                  $cache_favicon = '';
                  if ( WP_Filesystem() ) {
                    $upload_dir = wp_upload_dir();
                    $dir = $upload_dir['basedir'].'/simple_days_cache/';
                    //$dir = WP_CONTENT_DIR.'/uploads/simple_days_cache/';
                    if ( !$wp_filesystem->is_dir($dir) ) {
                      $wp_filesystem->mkdir($dir, 0777, true);
                      $wp_filesystem->chmod($dir, 0777);
                    }
                    $host_url = parse_url(esc_url($match_url[2][$i]), PHP_URL_HOST);

                      //$favicon_image = $wp_filesystem->get_contents('https://www.google.com/s2/favicons?domain='.$host_url);

                    $favicon_image = wp_remote_get('https://www.google.com/s2/favicons?domain='.$host_url);
                    if ( ! is_wp_error( $favicon_image ) && $favicon_image['response']['code'] === 200 ) {
                      $favicon_image = $favicon_image['body'];
                      $cache_favicon = $dir.$host_url.'.png';
                      $wp_filesystem->put_contents($cache_favicon, $favicon_image, FS_CHMOD_FILE);
                      $cache_favicon = str_replace(WP_CONTENT_DIR, content_url(), $cache_favicon);
                    }
                  }
                  $cache_image = '';

                  if (isset($tags['og:image'])) {
                    if ( WP_Filesystem() ) {
                      $cache_image = str_replace(array('http://','https://','www.','-','/'),array('','','','_','_'),$tags['og:image']);
                      $cache_image = preg_replace('/\?.*$/i', '', $dir.$cache_image);
                      $path_parts = pathinfo($cache_image);
                      if(!$path_parts)$cache_image.'.png';
                        //$file_image = $wp_filesystem->get_contents($tags['og:image']);
                      $file_image = wp_remote_get($tags['og:image']);
//var_dump($file_image);

                      if ( ! is_wp_error( $file_image ) && $file_image['response']['code'] === 200 ) {
                        $file_image = $file_image['body'];

                        $wp_filesystem->put_contents($cache_image, $file_image, FS_CHMOD_FILE);
                        $cache_image_edit = wp_get_image_editor($cache_image);
                        if ( !is_wp_error($cache_image_edit) ) {
                          $cache_image_edit->resize('300', '300');
                          $cache_image_edit->save( $cache_image );
                        }
                        $cache_image = str_replace(WP_CONTENT_DIR, content_url(), $cache_image);
                      }else{
                        $cache_image = '';
                      }

                    }
                    
                  }

                  $link_url = $match_url[2][$i];
                  $link_url_option = $match_url[1][$i].' '.$match_url[3][$i];
                  $link_url_option == ' ' ? $link_url_option = '' : '';
                  if($cache_image != ''){
                    $img_source = '<img src="'.esc_url( $cache_image );
                  }else{
                    $img_source = '<img src="'.esc_url(get_theme_mod( 'simple_days_no_img' , SIMPLE_DAYS_THEME_URI .'/assets/images/no_image.png'));
                  }

                  if(isset($simple_days_external_cache["$simple_days_cache_name"]) || !isset($simple_days_external_cache["$simple_days_cache_name"])){
                    $simple_days_external_cache["$simple_days_cache_name"] = array(
                      'title' => esc_html($title),
                      'cache_image' => esc_url($cache_image),
                      'description' => esc_html(strip_tags($description)),
                      'link_url' => esc_url($link_url),
                      'link_url_option' => $link_url_option,
                      'favicon' => esc_url($cache_favicon),
                      'update_time' => time(),
                    );
                  }
                  update_option('simple_days_external_cache', $simple_days_external_cache);

                }else{
                  
                  //echo 'error';
                  $i++;
                  continue;
                }

              }else{
                $title = esc_html($simple_days_external_cache["$simple_days_cache_name"]['title']);
                $cache_image = esc_url($simple_days_external_cache["$simple_days_cache_name"]['cache_image']);
                $description = esc_html($simple_days_external_cache["$simple_days_cache_name"]['description']);
                $link_url = esc_url($simple_days_external_cache["$simple_days_cache_name"]['link_url']);
                $link_url_option = $simple_days_external_cache["$simple_days_cache_name"]['link_url_option'];
                $cache_favicon = esc_url($simple_days_external_cache["$simple_days_cache_name"]['favicon']);
                if($cache_image != ''){
                  $img_source = '<img src="'.esc_url( $cache_image );
                }else{
                  $img_source = '<img src="'.esc_url(get_theme_mod( 'simple_days_no_img' , SIMPLE_DAYS_THEME_URI .'/assets/images/no_image.png'));
                }

              }
              $cache_favicon = '<img src="'.esc_url( $cache_favicon ).'" height="16" width="16" />';
              
            }else{
              
              $i++;
              continue;
            }
          }
          $replacement = '<div class="s_d_bc simple_days_box_shadow">
          <div class="s_d_bc_thum_wrap"><div class="fit_box_img_wrap s_d_bc_thum"><a href="'.esc_url($link_url).'"'.$link_url_option.'>'.$img_source.'" class="scale_13 trans_10" width="3" height="2" /></a></div></div><div class="s_d_bc_entry_wrap"><div class="s_d_bc_entry"><div class="s_d_bc_title"><h4 class="item_title"><a href="'.esc_url($link_url).'"'.$link_url_option.'>'.esc_html($title).'</a> <i class="fa fa-'.$link_icon.'" aria-hidden="true"></i></h4></div><div class="s_d_bc_info"><div class="s_d_bc_favicon">'.$cache_favicon.'</div><div class="s_d_bc_link">&nbsp;'.parse_url(esc_url($link_url), PHP_URL_HOST).'</div></div><div class="s_d_bc_summary">'.esc_html(strip_tags($description)).'</div></div></div></div>';
          $the_content = str_replace($match_url[0][$i], $replacement, $the_content);
        }else{

        }
        $i++;
      }
    }


    return $the_content;
  }
